<?php
/**
 * The single post template
 *
 * @package .TUBE
 * @author .TUBE gTLD <https://www.get.tube>
 * @copyright Copyright 2017, TUBE®
 * @link https://www.get.tube/wordpress
 * @since 1.0.0.0
 */

global $tube_theme;

// add action to show the previous / next posts links after the content
add_action('tube_after_post_content', array( $tube_theme::$tube_pagination, 'prevnext_post_links' ), 100 );
add_action('tube_before_post_content', array( $tube_theme::$tube_pagination, 'prevnext_post_links' ), 100 );

// add action to show the post terms links module (i.e. More Like This)
add_action('tube_after_post_content', array( $tube_theme::$tube_taxonomy, 'post_terms_links_module' ), 200 );

// add action to show the latest posts module before the bottom sidebar
add_action('dynamic_sidebar_before', array( $tube_theme::$tube_latest_posts, 'latest_posts_module' ), 100, 2 );
    
// get the next post button link
$next_post_btn = get_next_post_link('%link', '<span class="btn-icon"><i class="fa fa-chevron-circle-right fa-4x"></i></span>' );

// get the previous post button link
$prev_post_btn = get_previous_post_link('%link', '<span class="btn-icon"><i class="fa fa-chevron-circle-left fa-4x"></i></span>' );   


    
get_header(); 

?>        
               
<?php while ( have_posts() ) : the_post(); ?>
          
  <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>  

    <div class="gloryshot-wrap">
      <?php do_action('tube_gloryshot'); ?>  
    </div>
      
    <?php do_action('tube_before_masthead'); ?>
    
    <header class="page-masthead text-center ">
      
      <?php do_action('tube_before_masthead_content'); ?>
    
      <div class="page-masthead-content">
        <div class="container">
          <div class="row">  
            <div class="col-sm-10 col-sm-push-1 col-xl-8 col-xl-push-2"> 
              
                <?php do_action('tube_masthead_top'); ?>
                
                <h1 class="post-title"><?php the_title(); ?></h1>   
         
                <?php echo wp_kses_post( $tube_theme::$tube_post_meta -> get_post_meta_output( array( 'comment_count' => true ) ) ); ?> 
                
                <?php do_action('tube_masthead_bottom'); ?>                    
               
            </div> <!-- .col -->  
          </div> <!-- end .row -->      
        </div> <!-- end .container -->         
      </div> <!-- .page-masthead-content -->   
        
      <?php do_action('tube_after_masthead_content'); ?>
         
    </header> <!-- end .page-masthead -->       
    
    <?php do_action('tube_after_masthead'); ?>  
        
    <?php get_sidebar( 'top' ); ?>                                          
                
    <div class="content-block">
      <div class="container">             
         <div class="row">     
            <div class="col-md-10 col-md-push-1 col-lg-8 col-lg-push-2">       
               
              <?php do_action('tube_before_post_content'); ?>                 
    
              <div class="post-content">
                      
                <?php do_action('tube_content_top'); ?>
                
                <div class="the-content">
                  <?php the_content(); ?>
                </div> <!-- .the-content -->
                <?php
                // set up the link_pages arguments (for paginated posts)                 
                $link_pages_args =  array(
                  'before'      => '<div class="pagination-wrap page-links"><span class="page-links-title">' . _x( 'Pages:', 'Paginated post pagination label', 'tube' ) . '</span>',
                  'after'       => '</div>',
                  'link_before' => '<span>',
                  'link_after'  => '</span>',
                  'pagelink'    => '<span class="screen-reader-text">' . _x( 'Page', 'Paginated post pagination page label for screenreaders', 'tube' ) . ' </span>%',
                  'separator'   => '<span class="screen-reader-text">, </span>',
                );
                  
                // allow filter for the link_pages arguments
                $link_pages_args = apply_filters( 'tube_filter_link_pages_args', $link_pages_args );
                 
                // show the pages links
                wp_link_pages(  $link_pages_args );
                ?> 
                                  
                <?php do_action('tube_content_bottom'); ?>
                      
              </div> <!-- .post-content -->                     
               
              <?php do_action('tube_after_post_content'); ?>
                    
              <?php comments_template(); ?>  
               
              <?php do_action('tube_after_comments'); ?>
              <?php do_action('tube_after_post_comments'); ?>
                     
            </div> <!-- .col -->            
          </div> <!-- .row -->      
        </div> <!-- .container -->
      </div> <!-- .content-block --> 
      
      <?php get_sidebar( 'bottom' ); ?>
                
  </article>  
           
<?php endwhile; // The Loop ends here ?>     



<?php get_footer(); ?>
